#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCB,0xB0,0x70,0x42,0xE2,0xFD,0xE2,0xC6,0xB6,0x62,0xC8,0x9A,
		0x3B,0xBF,0x23,0x90,0x25,0x9C,0x3B,0xF2,0xA1,0x13,0x8E,0xE3,
		0x31,0xCD,0x26,0x4B,0xF0,0x8D,0xA4,0x5E,0xCE,0xDE,0xC2,0xA3,
		0x44,0x46,0x1E,0x46,0x4B,0xFB,0xCE,0xCC,0x16,0xFB,0x78,0x09,
		0xB4,0xE0,0x22,0x7E,0x2A,0x2C,0xB2,0x62,0xED,0x1C,0x8E,0xC8,
		0x79,0x88,0x30,0xFB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
